Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp move và Stretch đối tượng lưu lại giá trị khoảng cách ???

Các bài được khuyến nghị

Em muốn có lisp move và Stretch đối tượng mà nó lưu lại giá trị Move đi như sau :

Giả sử Move đối tượng A đi b đơn vị. Khi muốn move đối tượng B đi b đơn vị thì ta chỉ việc chọn đối tượng B và không phaỉ nhập khoảng cách b nữa. Như thế tiện hơn rất nhiều ! Thanks các bác Pro

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em muốn có lisp move và Stretch đối tượng mà nó lưu lại giá trị Move đi như sau :

Giả sử Move đối tượng A đi b đơn vị. Khi muốn move đối tượng B đi b đơn vị thì ta chỉ việc chọn đối tượng B và không phaỉ nhập khoảng cách b nữa. Như thế tiện hơn rất nhiều ! Thanks các bác Pro

Không khả thi lắm vì có phải lúc nào cũng move với 1 giá trị cố định đâu.

Nhưng nếu bạn muốn thì vẫn có thể làm được.

(defun c:MOVEANDSAVE()
 (setq SS (ssget)
I -1)  
 (if (null PtBase)
(setq PtBase (getpoint "\nChon diem goc: ")
  PtMove (getpoint "\nChon diem dich: "))
(progn
  (setq Meth (getstring "\nCo su dung ket qua cu (Co Khong) :"))
  (if (And (/= Meth "") (/= (strcase Meth) "C"))
(setq PtBase (getpoint "\nChon diem goc: ")
	  PtMove (getpoint "\nChon diem dich: "))
  )
)
 )
 (command "MOVE" SS "" PtBase PtMove)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không khả thi lắm vì có phải lúc nào cũng move với 1 giá trị cố định đâu.

Nhưng nếu bạn muốn thì vẫn có thể làm được.

(defun c:MOVEANDSAVE()
 (setq SS (ssget)
I -1)  
 (if (null PtBase)
(setq PtBase (getpoint "\nChon diem goc: ")
  PtMove (getpoint "\nChon diem dich: "))
(progn
  (setq Meth (getstring "\nCo su dung ket qua cu (Co Khong) :"))
  (if (And (/= Meth "") (/= (strcase Meth) "C"))
(setq PtBase (getpoint "\nChon diem goc: ")
	  PtMove (getpoint "\nChon diem dich: "))
  )
)
 )
 (command "MOVE" SS "" PtBase PtMove)
)

Bác Hoaletrang à ! Thực ra cái lisp của bác ko ổn rùi. Chình vì e bit nó loằng ngoằng 1 chút nên mới post topic lên diễn đàn. Là thế này, Lệnh move của CAD thì mình muốn nhập giá trị move đi hoặc pick điểm cũng được, chính vì thế e muốn bác viết sao cho để khi mình "move và STRETCH" nó chỉ lưu lại giá trị cũ để mình có cần dùng thì không cần nhập vào, Và lệnh của mình cũng giống như CAD, thick pick điểm thì pick điểm, thích nhập khoảng cách vào thì nhập. mình làm sao để lệnh thực hiện sao cho nhanh đúng không bác . Bác chỉnh giúp em nhé !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×